#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivityMayDayLuckDrawCFGData
{
	//编号
	int mID;
	//生肖抽奖消耗
	int mRaffleConsumption1;
	//幸运抽奖消耗
	int mRaffleConsumption2;
	//保底2挡次数
	int mBottomGuard1;
	//保底3挡次数
	int mBottomGuard2;
	//消耗ID
	int mConsumeID;
};

class M_ActivityMayDayLuckDrawCFG
{
public:
private:
	static std::auto_ptr<M_ActivityMayDayLuckDrawCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityMayDayLuckDrawCFGData* GetData(int ID);
	boost::unordered_map<int, M_ActivityMayDayLuckDrawCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivityMayDayLuckDrawCFG* GetSingleton();
private:
	boost::unordered_map<int, M_ActivityMayDayLuckDrawCFGData> mMapData;
};
